var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import styled from 'styled-components';
import ContentLoader from 'react-content-loader';
import { ChevronDown, ChevronRight } from '../../../icons';
import { TableBody, TableHeaderCell, TableCell, } from '../../../elements/Table/Table';
import { Box } from '../../../elements/Flex';
import { WidgetButton } from '../../Widget';
export var WidgetHeader = styled.div({
    display: 'flex',
    justifyContent: 'space-between',
    padding: '0.5em 1em',
});
export var WidgetHead = styled.h3({
    margin: 0,
    fontSize: '24px',
    fontWeight: 'bold',
}, function (_a) {
    var theme = _a.theme;
    return ({
        color: theme.colors.primaryText.default,
    });
});
export var GoButton = styled(WidgetButton)(function (_a) {
    var theme = _a.theme;
    return ({
        color: theme.colors.primary.default,
        transition: '0.2s all',
        '&:hover, &:focus, &:active, &:active:hover': {
            color: 'white',
            backgroundColor: theme.colors.secondary.dark,
        },
    });
});
export var TableWrapper = styled.div({
    maxHeight: '360px',
    overflow: 'auto',
    fontSize: '0.85em',
});
export var THeaderCellSmall = styled(TableHeaderCell)({
    fontWeight: 'normal',
    padding: '0.5em 1em',
});
export var TBodyHighlighted = styled(TableBody)(function (_a) {
    var theme = _a.theme;
    return ({
        '&:hover': {
            backgroundColor: theme.colors.secondary.verylight,
        },
        '&:last-child td': {
            borderBottom: 'none',
        },
    });
});
export var TCellSmall = styled(TableCell)({
    padding: '0.5em 1em',
});
export var RightToggle = styled(ChevronRight)({
    width: '20px',
    height: '20px',
    cursor: 'pointer',
});
export var DownToggle = styled(ChevronDown)({
    width: '20px',
    height: '20px',
    cursor: 'pointer',
});
export var PrimaryButton = styled(WidgetButton)({}, function (_a) {
    var theme = _a.theme;
    return ({
        backgroundColor: theme.colors.primary.default,
        color: theme.colors.secondaryText.verylight,
    });
});
export var SecondaryButton = styled(PrimaryButton)(function (_a) {
    var theme = _a.theme;
    return ({
        backgroundColor: theme.colors.secondary.default,
    });
});
export var ProgressBarContainer = styled.div({
    display: 'flex',
    marginTop: '5px',
});
export var Bar = styled.div({
    height: 0,
    borderWidth: '2px',
    borderStyle: 'solid',
    margin: '0 1px',
}, function (_a) {
    var theme = _a.theme, progress = _a.progress, _b = _a.active, active = _b === void 0 ? false : _b;
    return ({
        borderColor: active
            ? theme.colors.primary.default
            : theme.colors.secondary.default,
        flexBasis: progress + "%",
    });
});
export var DetailsContainer = styled(Box)({
    padding: '5px 20px 10px',
    'div b': {
        marginRight: '5px',
    },
});
export var StyledContentLoader = styled(ContentLoader)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  flex-grow: 1;\n  flex-basis: 100%;\n  height: 48px;\n"], ["\n  flex-grow: 1;\n  flex-basis: 100%;\n  height: 48px;\n"])));
var templateObject_1;
